/*
Theme Name:   JYP Media
Description:  JYP Media teema
Author:       Niilo Poutanen, Brand Team Finland Oy
Template:     hello-elementor
Version:      1.0.0
Tags:         jypmedia, child-theme
Text Domain:  jypmedia
*/

body.elementor-maintenance-mode header,
body.elementor-maintenance-mode footer {
    display: none;
}


.nomargin,
.nomargin * {
    margin: 0;
}

body.admin-bar #ylatunniste {
    margin-top: 32px;
}


form .rivi {
    display: flex;
    gap: 20px;
    margin-bottom: 20px;
}

form .rivi p,
form .rivi .wpcf7-form-control-wrap {
    width: 100%;
}

form p {
    margin: 0 !important;
}

form input,
form textarea {
    background-color: #2a2a2a;
    outline: none;
    border: 1px solid #444 !important;
    color: white;
    border-radius: 10px !important;
}

form textarea {
    width: 100%;
    resize: vertical;
    height: 100px;
}


.sheepman {
    font-family: "Sheepman", sans-serif;
    text-transform: uppercase;
    font-style: italic;
}

.blur-card {
    background-color: #0000005e !important;
    backdrop-filter: blur(10px) !important;
}

.flex-column {
    display: flex;
    flex-direction: column;
}


.wpcf7-response-output {
    background-color: #2a2a2a;
    padding: 20px !important;
    border-radius: 10px;
    border: 1px solid #444 !important;
    margin-left: 0 !important;
    margin-right: 0 !important;
}


.grecaptcha-badge {
    display: none !important;
}

@view-transition {
    navigation: auto;
}

#ylatunniste {
    view-transition-name: header;
}

@keyframes fade-in {
    from {
        opacity: 0;
    }
}

@keyframes fade-out {
    to {
        opacity: 0;
    }
}

@keyframes slide-from-right {
    from {
        transform: translateX(30px);
    }
}

@keyframes slide-to-left {
    to {
        transform: translateX(-30px);
    }
}

:root::view-transition-old(root) {
    animation:
        90ms cubic-bezier(0.4, 0, 1, 1) both fade-out,
        300ms cubic-bezier(0.4, 0, 0.2, 1) both slide-to-left;
}

:root::view-transition-new(root) {
    animation:
        210ms cubic-bezier(0, 0, 0.2, 1) 90ms both fade-in,
        300ms cubic-bezier(0.4, 0, 0.2, 1) both slide-from-right;
}



#ylatunniste .elementskit-menu-hamburger {
    fill: white !important;
}

#ekit-megamenu-paavalikko {
    max-width: 100%;
    width: 100%;
    transition: left 0.4s ease-in-out;
}

.elementskit-menu-overlay{
    display: none !important;
}


.post-password-form{
    min-height: 60vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

body.error404 #content{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 80vh;
}
@media (max-width: 1024px) {
    #menu-paavalikko {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
}